Name:		libsysstat
Version:	0.4.6
Release:	1
License:	GPLv2 and LGPLv2+
Summary:	Library used to query system info and statistics
Url:		http://www.lxde.org
Source0:	https://github.com/lxqt/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	%{?fedora:cmake >= 3.1.0}%{!?fedora:cmake3 >= 3.3}
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  lxqt-build-tools >= 0.6.0

%description
Library used to query system info and statistics

%package devel
Summary:	Devel files for libsysstat
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	pkgconfig

%description devel
Sysstat libraries for development.

%prep
%autosetup

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
	%{?fedora:%{cmake}}%{!?fedora:%{cmake3}} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%ldconfig_scriptlets

%files
%doc AUTHORS COPYING
%{_libdir}/libsysstat-qt5.so.*

%files devel
%dir %{_includedir}/sysstat-qt5/
%dir %{_datadir}/cmake/sysstat-qt5/
%{_includedir}/sysstat-qt5/*
%{_datadir}/cmake/sysstat-qt5/*
%{_libdir}/pkgconfig/sysstat-qt5.pc
%{_libdir}/libsysstat-qt5.so

%changelog
* Fri Sep 09 2022 tianlijing <tianlijing@kylinos.cn> - 0.4.6-1
- update to 0.4.6

* Wed Jan 12 2022 pei-jiankang<peijiankang@kylinos.com> - 0.4.5-1
- update to upstream version 0.4.5

* Mon Dec 13 2021 huayadong <huayadong@kylinos.cn> - 0.4.2-2
- remove %{?dist}

* Thu Jul 23 2020 Zhao Yang <yangzhao1@kylinos.cn> - 0.4.2-1
- Initial release for OpenEuler
